@echo off

setlocal

set JAVA_HOME=..\tools\jdk-1.5.0
set LIB_DIR=..\lib

set CLASSPATH=%LIB_DIR%\ifs.jar
set CLASSPATH=%CLASSPATH%;%LIB_DIR%\ttsolver.jar
set CLASSPATH=%CLASSPATH%;%LIB_DIR%\ls.jar
set CLASSPATH=%CLASSPATH%;%LIB_DIR%\timetable.jar
set CLASSPATH=%CLASSPATH%;%LIB_DIR%\jprof.jar
set CLASSPATH=%CLASSPATH%;%LIB_DIR%\log4j.jar
set CLASSPATH=%CLASSPATH%;%LIB_DIR%\dom4j.jar

set JAVA_OPTS=%JAVA_OPTS% -Xrunjprof
set JAVA_OPTS=%JAVA_OPTS% -Xms128m -Xmx512m
set JAVA_OPTS=%JAVA_OPTS% -classpath %CLASSPATH%

%JAVA_HOME%\bin\java %JAVA_OPTS% %1 %2 %3 %4 %5 %6 %7 %8 %9

endlocal